gr::mapper::timeslot_demux Class Reference

<+description of block+> More...

`#include <timeslot_demux.h>`

Inheritance diagram for gr::mapper::timeslot_demux:
[legend]

## Public Types

typedef boost::shared_ptr< timeslot_demux > | sptr

## Static Public Member Functions

static sptr | make (int nusers, bool syncd, const std::vector< uint8_t > &ts_id, int ts_len)
| Return a shared_ptr to a new instance of mapper::timeslot_demux.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<timeslot_demux> gr::mapper::timeslot_demux::sptr

## Member Function Documentation

## make()

static sptr gr::mapper::timeslot_demux::make | ( | int | nusers,
|  | bool | syncd,
|  | const std::vector< uint8_t > & | ts_id,
|  | int | ts_len
| ) |  |

static

Return a shared_ptr to a new instance of mapper::timeslot_demux.

To avoid accidental use of raw pointers, mapper::timeslot_demux's constructor is in a private implementation class. mapper::timeslot_demux::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- timeslot_demux.h